/////////////////////////////////////////////////////////////////////////////
// CSelectionDlg dialog
#include "stdafx.h"
#include "resource.h"
#include "seldlg.h"
#include "views.h"
#include "splitter.h"
                                                            
IMPLEMENT_DYNCREATE(CSelectionDlg,CDialog)
                                                            
CSelectionDlg::CSelectionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSelectionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSelectionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSelectionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectionDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


CSize CSelectionDlg::GetDialogSize()
{                   
   CSize size;
   DWORD dwUnits=GetDialogBaseUnits();
   size.cx=((IDD_SELECTIONDLGCX*LOWORD(dwUnits))/4); //SUBTRACT BORDERS
   size.cy=((IDD_SELECTIONDLGCY*HIWORD(dwUnits))/8);   
   return size;   
}



BEGIN_MESSAGE_MAP(CSelectionDlg, CDialog)
	//{{AFX_MSG_MAP(CSelectionDlg)
	ON_BN_CLICKED(IDVIEW1, OnClickedView1)
	ON_BN_CLICKED(IDVIEW2, OnClickedView2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectionDlg message handlers

void CSelectionDlg::OnClickedView1()
{  
   // Pick arbitrary size. This last pane will receive all the extra space.
   SIZE size;
   size.cx=10;
   size.cy=10;
        
   ((CSplitter *)GetParent())->ReplaceView(0,1,RUNTIME_CLASS(CView1), size);
}

void CSelectionDlg::OnClickedView2()
{  
   // Pick arbitrary size. This last pane will receive all the extra space.
   SIZE size;
   size.cx=10;
   size.cy=10;
        
   ((CSplitter *)GetParent())->ReplaceView(0,1,RUNTIME_CLASS(CView2), size);
}
